#!/bin/sh

#
# count.sh : compte le pourcentage de progression (en nombre de lignes)
# des marqueurs
#

Fic=/tmp/count
Ficl=$Fic.`basename $0`
sed -e "/dirname .*nfs-root.sh/,/export Root AdrIP/d" \
    -e "/echo 100/,/tput sgr0/d" < $Fic > $Ficl

NbLignes=`wc -l $Ficl | awk '{print $1}'`

grep -n Progression $Ficl \
    | while read ligne
do
    No=`echo $ligne | cut -d: -f1`
    Inst=`echo $ligne | cut -d: -f2`
    echo "$No/$NbLignes (`expr $No \* 100 / $NbLignes` %)"
    #echo "$Inst : $No / $NbLignes " #`expr $No \* 100 / $NbLignes`"
done
