#!/bin/sh

#
# dec2hexa.sh - convertit un nombre decimal en hexadecimal
#
# Usage : dec2hexa.sh <Nombre en decimal>
#
# Description :
# dec2hexa.sh convertit un nombre decimal passe en argument en hexadecimal.
#

[ $# -ne 1 ] && echo >&2 "Usage : generehexa-dec.sh <Nombre en decimal>" && exit 1

case "$1" in
    0) NombreHexa=00 ;;
    1) NombreHexa=01 ;;
    2) NombreHexa=02 ;;
    3) NombreHexa=03 ;;
    4) NombreHexa=04 ;;
    5) NombreHexa=05 ;;
    6) NombreHexa=06 ;;
    7) NombreHexa=07 ;;
    8) NombreHexa=08 ;;
    9) NombreHexa=09 ;;
    10) NombreHexa=0A ;;
    11) NombreHexa=0B ;;
    12) NombreHexa=0C ;;
    13) NombreHexa=0D ;;
    14) NombreHexa=0E ;;
    15) NombreHexa=0F ;;
    16) NombreHexa=10 ;;
    17) NombreHexa=11 ;;
    18) NombreHexa=12 ;;
    19) NombreHexa=13 ;;
    20) NombreHexa=14 ;;
    21) NombreHexa=15 ;;
    22) NombreHexa=16 ;;
    23) NombreHexa=17 ;;
    24) NombreHexa=18 ;;
    25) NombreHexa=19 ;;
    26) NombreHexa=1A ;;
    27) NombreHexa=1B ;;
    28) NombreHexa=1C ;;
    29) NombreHexa=1D ;;
    30) NombreHexa=1E ;;
    31) NombreHexa=1F ;;
    32) NombreHexa=20 ;;
    33) NombreHexa=21 ;;
    34) NombreHexa=22 ;;
    35) NombreHexa=23 ;;
    36) NombreHexa=24 ;;
    37) NombreHexa=25 ;;
    38) NombreHexa=26 ;;
    39) NombreHexa=27 ;;
    40) NombreHexa=28 ;;
    41) NombreHexa=29 ;;
    42) NombreHexa=2A ;;
    43) NombreHexa=2B ;;
    44) NombreHexa=2C ;;
    45) NombreHexa=2D ;;
    46) NombreHexa=2E ;;
    47) NombreHexa=2F ;;
    48) NombreHexa=30 ;;
    49) NombreHexa=31 ;;
    50) NombreHexa=32 ;;
    51) NombreHexa=33 ;;
    52) NombreHexa=34 ;;
    53) NombreHexa=35 ;;
    54) NombreHexa=36 ;;
    55) NombreHexa=37 ;;
    56) NombreHexa=38 ;;
    57) NombreHexa=39 ;;
    58) NombreHexa=3A ;;
    59) NombreHexa=3B ;;
    60) NombreHexa=3C ;;
    61) NombreHexa=3D ;;
    62) NombreHexa=3E ;;
    63) NombreHexa=3F ;;
    64) NombreHexa=40 ;;
    65) NombreHexa=41 ;;
    66) NombreHexa=42 ;;
    67) NombreHexa=43 ;;
    68) NombreHexa=44 ;;
    69) NombreHexa=45 ;;
    70) NombreHexa=46 ;;
    71) NombreHexa=47 ;;
    72) NombreHexa=48 ;;
    73) NombreHexa=49 ;;
    74) NombreHexa=4A ;;
    75) NombreHexa=4B ;;
    76) NombreHexa=4C ;;
    77) NombreHexa=4D ;;
    78) NombreHexa=4E ;;
    79) NombreHexa=4F ;;
    80) NombreHexa=50 ;;
    81) NombreHexa=51 ;;
    82) NombreHexa=52 ;;
    83) NombreHexa=53 ;;
    84) NombreHexa=54 ;;
    85) NombreHexa=55 ;;
    86) NombreHexa=56 ;;
    87) NombreHexa=57 ;;
    88) NombreHexa=58 ;;
    89) NombreHexa=59 ;;
    90) NombreHexa=5A ;;
    91) NombreHexa=5B ;;
    92) NombreHexa=5C ;;
    93) NombreHexa=5D ;;
    94) NombreHexa=5E ;;
    95) NombreHexa=5F ;;
    96) NombreHexa=60 ;;
    97) NombreHexa=61 ;;
    98) NombreHexa=62 ;;
    99) NombreHexa=63 ;;
    100) NombreHexa=64 ;;
    101) NombreHexa=65 ;;
    102) NombreHexa=66 ;;
    103) NombreHexa=67 ;;
    104) NombreHexa=68 ;;
    105) NombreHexa=69 ;;
    106) NombreHexa=6A ;;
    107) NombreHexa=6B ;;
    108) NombreHexa=6C ;;
    109) NombreHexa=6D ;;
    110) NombreHexa=6E ;;
    111) NombreHexa=6F ;;
    112) NombreHexa=70 ;;
    113) NombreHexa=71 ;;
    114) NombreHexa=72 ;;
    115) NombreHexa=73 ;;
    116) NombreHexa=74 ;;
    117) NombreHexa=75 ;;
    118) NombreHexa=76 ;;
    119) NombreHexa=77 ;;
    120) NombreHexa=78 ;;
    121) NombreHexa=79 ;;
    122) NombreHexa=7A ;;
    123) NombreHexa=7B ;;
    124) NombreHexa=7C ;;
    125) NombreHexa=7D ;;
    126) NombreHexa=7E ;;
    127) NombreHexa=7F ;;
    128) NombreHexa=80 ;;
    129) NombreHexa=81 ;;
    130) NombreHexa=82 ;;
    131) NombreHexa=83 ;;
    132) NombreHexa=84 ;;
    133) NombreHexa=85 ;;
    134) NombreHexa=86 ;;
    135) NombreHexa=87 ;;
    136) NombreHexa=88 ;;
    137) NombreHexa=89 ;;
    138) NombreHexa=8A ;;
    139) NombreHexa=8B ;;
    140) NombreHexa=8C ;;
    141) NombreHexa=8D ;;
    142) NombreHexa=8E ;;
    143) NombreHexa=8F ;;
    144) NombreHexa=90 ;;
    145) NombreHexa=91 ;;
    146) NombreHexa=92 ;;
    147) NombreHexa=93 ;;
    148) NombreHexa=94 ;;
    149) NombreHexa=95 ;;
    150) NombreHexa=96 ;;
    151) NombreHexa=97 ;;
    152) NombreHexa=98 ;;
    153) NombreHexa=99 ;;
    154) NombreHexa=9A ;;
    155) NombreHexa=9B ;;
    156) NombreHexa=9C ;;
    157) NombreHexa=9D ;;
    158) NombreHexa=9E ;;
    159) NombreHexa=9F ;;
    160) NombreHexa=A0 ;;
    161) NombreHexa=A1 ;;
    162) NombreHexa=A2 ;;
    163) NombreHexa=A3 ;;
    164) NombreHexa=A4 ;;
    165) NombreHexa=A5 ;;
    166) NombreHexa=A6 ;;
    167) NombreHexa=A7 ;;
    168) NombreHexa=A8 ;;
    169) NombreHexa=A9 ;;
    170) NombreHexa=AA ;;
    171) NombreHexa=AB ;;
    172) NombreHexa=AC ;;
    173) NombreHexa=AD ;;
    174) NombreHexa=AE ;;
    175) NombreHexa=AF ;;
    176) NombreHexa=B0 ;;
    177) NombreHexa=B1 ;;
    178) NombreHexa=B2 ;;
    179) NombreHexa=B3 ;;
    180) NombreHexa=B4 ;;
    181) NombreHexa=B5 ;;
    182) NombreHexa=B6 ;;
    183) NombreHexa=B7 ;;
    184) NombreHexa=B8 ;;
    185) NombreHexa=B9 ;;
    186) NombreHexa=BA ;;
    187) NombreHexa=BB ;;
    188) NombreHexa=BC ;;
    189) NombreHexa=BD ;;
    190) NombreHexa=BE ;;
    191) NombreHexa=BF ;;
    192) NombreHexa=C0 ;;
    193) NombreHexa=C1 ;;
    194) NombreHexa=C2 ;;
    195) NombreHexa=C3 ;;
    196) NombreHexa=C4 ;;
    197) NombreHexa=C5 ;;
    198) NombreHexa=C6 ;;
    199) NombreHexa=C7 ;;
    200) NombreHexa=C8 ;;
    201) NombreHexa=C9 ;;
    202) NombreHexa=CA ;;
    203) NombreHexa=CB ;;
    204) NombreHexa=CC ;;
    205) NombreHexa=CD ;;
    206) NombreHexa=CE ;;
    207) NombreHexa=CF ;;
    208) NombreHexa=D0 ;;
    209) NombreHexa=D1 ;;
    210) NombreHexa=D2 ;;
    211) NombreHexa=D3 ;;
    212) NombreHexa=D4 ;;
    213) NombreHexa=D5 ;;
    214) NombreHexa=D6 ;;
    215) NombreHexa=D7 ;;
    216) NombreHexa=D8 ;;
    217) NombreHexa=D9 ;;
    218) NombreHexa=DA ;;
    219) NombreHexa=DB ;;
    220) NombreHexa=DC ;;
    221) NombreHexa=DD ;;
    222) NombreHexa=DE ;;
    223) NombreHexa=DF ;;
    224) NombreHexa=E0 ;;
    225) NombreHexa=E1 ;;
    226) NombreHexa=E2 ;;
    227) NombreHexa=E3 ;;
    228) NombreHexa=E4 ;;
    229) NombreHexa=E5 ;;
    230) NombreHexa=E6 ;;
    231) NombreHexa=E7 ;;
    232) NombreHexa=E8 ;;
    233) NombreHexa=E9 ;;
    234) NombreHexa=EA ;;
    235) NombreHexa=EB ;;
    236) NombreHexa=EC ;;
    237) NombreHexa=ED ;;
    238) NombreHexa=EE ;;
    239) NombreHexa=EF ;;
    240) NombreHexa=F0 ;;
    241) NombreHexa=F1 ;;
    242) NombreHexa=F2 ;;
    243) NombreHexa=F3 ;;
    244) NombreHexa=F4 ;;
    245) NombreHexa=F5 ;;
    246) NombreHexa=F6 ;;
    247) NombreHexa=F7 ;;
    248) NombreHexa=F8 ;;
    249) NombreHexa=F9 ;;
    250) NombreHexa=FA ;;
    251) NombreHexa=FB ;;
    252) NombreHexa=FC ;;
    253) NombreHexa=FD ;;
    254) NombreHexa=FE ;;
    255) NombreHexa=FF ;;
    *) echo >&2 "Nombre invalide : $1" ; exit 1 ;;
esac

echo "$NombreHexa"
