#!/bin/sh

exec 2> /dev/null

ListePeriph="ttyS0 ttyS1 psaux"

modprobe msbusmouse
modprobe busmouse

lsmod | egrep "msbusmouse|busmouse" && ListePeriph="$ListePeriph atibm inportbm /dev/logibm"

for periph in $ListePeriph
do
#nice -20 cat 2>/dev/null < /dev/ttyS0 > /tmp/ttyS0.detection &
#nice -20 cat 2>/dev/null < /dev/ttyS1 > /tmp/ttyS1.detection &
#    cat 2> /dev/null < $periph > /tmp/detect.$$ &
#    Pid=$!

#sleep 3
#kill $Pid > /dev/null 2>&1
#killall cat

#    echo "$periph"
    dd if=/dev/$periph of=/tmp/detect.$periph.$$ count=1 bs=1 2> /dev/null &
    pid=$!
    ListePid="$ListePid $!"
#    sleep 3
#    [ -d /proc/$pid ] && kill $pid
done

#echo "Port : $Periph"

#rm -f /tmp/detect.*.$$

#exit 0

#clear
echo -e "\n\\033[41;32m                                                          \033[40;37m\n"
echo "                   Bouger la souris..."
echo -e "\n\\033[41;32m                                                          \033[40;37m\n"

sleep 3

#ls -l /tmp/detect.*.$$

for pid in $ListePid
do
    [ -d /proc/$pid ] && kill $pid && :
done

#clear

for fic in /tmp/detect.*.$$
do
    #[ -s /tmp/detect.$periph.$$ ] && Periph=$periph
    if [ -s $fic ]
    then
        Periph=`echo $fic | sed "s/.*detect\.\(.*\)\.$$/\1/"`
        echo Periph : $Periph
        echo $Periph > /tmp/probe-mouse 
    fi
done

#file /tmp/*detection | grep -v empty | grep -v "can't stat" | cut -d. -f1 | cut -d/ -f3

#clear
#echo "Port : $Periph"

rm -f /tmp/detect.*.$$

exit 0
rm -f /tmp/ttyS0.detection
rm -f /tmp/ttyS1.detection
rm -f /tmp/psaux.detection
rm -f /tmp/atibm.detection    2>/dev/null
rm -f /tmp/inportbm.detection 2>/dev/null
rm -f /tmp/logibm.detection   2>/dev/null

